using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {

            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Red Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("red protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("red protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light1.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head1.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail1.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Red Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("red protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("red protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head1.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail1.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Red Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("red protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("red protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head1.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail1.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Orange Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("orange protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("orange protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light1.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head2.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail2.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Orange Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("orange protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("orange protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head2.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail2.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Orange Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("orange protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("orange protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head2.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail2.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Yellow Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("yellow protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("yellow protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light1.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head3.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail3.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Yellow Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("yellow protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("yellow protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head3.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail3.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Yellow Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("yellow protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("yellow protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head3.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail3.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Green Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("green protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("green protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light1.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head4.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail4.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Green Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("green protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("green protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head4.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail4.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Green Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("green protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("green protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head4.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail4.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Dark Green Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("dark green protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("dark green protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light1.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head5.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail5.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Dark Green Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("dark green protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("dark green protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head5.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail5.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Dark Green Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("dark green protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("dark green protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head5.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail5.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Seafoam Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("seafoam protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("seafoam protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light1.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head6.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail6.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Seafoam Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("seafoam protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("seafoam protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head6.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail6.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Seafoam Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("seafoam protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("seafoam protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head6.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail6.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Cyan Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("cyan protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("cyan protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light1.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head7.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail7.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Cyan Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("cyan protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("cyan protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head7.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail7.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Cyan Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("cyan protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("cyan protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head7.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail7.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Blue Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("blue protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("blue protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light1.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head8.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail8.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Blue Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("blue protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("blue protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head8.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail8.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Blue Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("blue protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("blue protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head8.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail8.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Dark Blue Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("dark blue protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("dark blue protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light1.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head9.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail9.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Dark Blue Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("dark blue protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("dark blue protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head9.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail9.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Dark Blue Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("dark blue protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("dark blue protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head9.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail9.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Purple Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("purple protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("purple protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light1.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head10.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail10.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Purple Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("purple protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("purple protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head10.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail10.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Purple Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("purple protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("purple protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head10.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail10.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Pink Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("pink protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("pink protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light1.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head11.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail11.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Pink Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("pink protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("pink protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head11.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail11.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Pink Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("pink protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("pink protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head11.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail11.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Brown Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("brown protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("brown protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light1.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head12.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail12.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Brown Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("brown protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("brown protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head12.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail12.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Brown Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("brown protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("brown protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head12.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail12.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Black Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("black protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("black protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light1.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head13.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail13.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Black Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("black protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("black protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head13.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail13.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Black Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("black protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("black protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head13.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail13.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Gray Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("gray protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("gray protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light1.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head14.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail14.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Gray Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("gray protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("gray protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head14.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail14.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Gray Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("gray protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("gray protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head14.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail14.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "White Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("white protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("white protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light1.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head15.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail15.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "White Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("white protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("white protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head15.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail15.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "White Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("white protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("white protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head15.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail15.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Love Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry who wants to be your friend",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("love protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("love protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light2.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head16.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail16.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Love Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry who wants to be your friend",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("love protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("love protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light3.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head16.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail16.png"); 	
                  }
              }
            );            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Love Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry who wanted to be your friend",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("love protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("love protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light4.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head16.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail16.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Rainbow Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry with rainbow colors",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("rainbow protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("rainbow protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light1.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head1.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail17.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Rainbow Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry with rainbow colors",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("rainbow protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("rainbow protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head1.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail17.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Rainbow Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry with rainbow colors",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("rainbow protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("rainbow protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head1.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail17.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Maid Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry in maid dress",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("maid protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("maid protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light10.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head19.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail13.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Maid Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry in maid dress",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("maid protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("maid protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head19.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail13.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Maid Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry in maid dress",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("maid protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("maid protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head19.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail13.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Red Gentlemen Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry in gentlemen suit",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("red gentlemen protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("red gentlemen protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light1.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head1.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail1.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Red Gentlemen Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry in gentlemen suit",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("red gentlemen protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("red gentlemen protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head1.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail1.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Red Gentlemen Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry in gentlemen suit",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("red gentlemen protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("red gentlemen protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head1.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail1.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Black Gentlemen Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry in gentlemen suit",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("black gentlemen protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("black gentlemen protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light1.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head13.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail13.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Black Gentlemen Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry in gentlemen suit",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("black gentlemen protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("black gentlemen protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head13.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail13.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Black Gentlemen Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry in gentlemen suit",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("black gentlemen protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("black gentlemen protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head13.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail13.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "White Gentlemen Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry in gentlemen suit",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("white gentlemen protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("white gentlemen protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light1.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head15.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail15.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "White Gentlemen Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry in gentlemen suit",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("white gentlemen protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("white gentlemen protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head15.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail15.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "White Gentlemen Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry in gentlemen suit",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("white gentlemen protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("white gentlemen protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head15.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail15.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Black Police Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry ready to serve and protect",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("black police protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("police protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light1.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head26.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail26.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Black Police Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry ready to serve and protect",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("black police protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("police protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head26.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail26.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Black Police Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry ready to serve and protect",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("black police protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("police protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head26.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail26.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Gray Police Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry ready to serve and protect",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("gray police protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("police protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light1.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head27.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail27.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Gray Police Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry ready to serve and protect",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("gray police protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("police protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head27.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail27.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Gray Police Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry ready to serve and protect",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("gray police protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("police protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head27.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail27.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "White Police Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry ready to serve and protect",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("white police protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("police protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light1.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head28.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail28.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "White Police Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry ready to serve and protect",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("white police protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("police protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head28.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail28.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "White Police Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry ready to serve and protect",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("white police protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("police protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head28.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail28.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Soldier Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Furry defender",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("soldier protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("soldier protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light11.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head20.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail20.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Soldier Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Furry defender",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("soldier protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("soldier protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light12.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head20.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail20.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Soldier Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Furry defender",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("soldier protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("soldier protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light13.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head20.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail20.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Night Division Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Furry defender",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("night division protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("night division protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light11.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head21.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail21.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Night Division Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Furry defender",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("night division protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("night division protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light12.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head21.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail21.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Night Division Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Furry defender",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("night division protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("night division protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light13.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head21.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail21.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Furless Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry without fur",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("furless protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("furless protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light1.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head17.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail18.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Furless Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry without fur",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("furless protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("furless protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head17.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail18.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Furless Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry without fur",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("furless protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("furless protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light6.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head17.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail18.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Furless Love Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry without fur who wants to be your friend",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("furless love protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("furless protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light2.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head17.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail18.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Furless Love Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry without fur who wants to be your friend",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("furless love protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("furless protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light3.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head17.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail18.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Furless Love Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry without fur who wanted to be your friend",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("furless love protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("furless protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light4.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head17.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail18.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Broken Red Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry who survived in junkyard",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("broken red protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("broken red protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform childobject = Instance.transform.GetChild(5);
                             GameObject gameObject = new GameObject("Headlamp");
                             gameObject.transform.SetParent(childobject);
                             gameObject.transform.localPosition = new Vector3(0.0f, 0.0f);
                             gameObject.transform.rotation = Quaternion.Euler(0.0f, 0.0f, 0.0f);
                             gameObject.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer = gameObject.AddComponent<SpriteRenderer>();
                             spriteRenderer.sprite = ModAPI.LoadSprite("light7.png", 1f, true);
                             spriteRenderer.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer.sortingLayerName = "Top";       

                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0.0f, 0.0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0.0f, 0.0f, 0.0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("mask2.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Hair");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0.0f, 0.0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head18.png");
                        childSprite.sortingLayerName = "Top";  

            var kev = new GameObject("kevlar");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail19.png"); 	  
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Broken Red Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry who survived in junkyard",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("broken red protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("broken red protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light8.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head18.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail19.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Broken Red Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry who survived in junkyard",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("broken red protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("broken red protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light9.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head18.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail19.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Broken Yellow Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry who survived in junkyard",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("broken yellow protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("broken yellow protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform childobject = Instance.transform.GetChild(5);
                             GameObject gameObject = new GameObject("Headlamp");
                             gameObject.transform.SetParent(childobject);
                             gameObject.transform.localPosition = new Vector3(0.0f, 0.0f);
                             gameObject.transform.rotation = Quaternion.Euler(0.0f, 0.0f, 0.0f);
                             gameObject.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer = gameObject.AddComponent<SpriteRenderer>();
                             spriteRenderer.sprite = ModAPI.LoadSprite("light7.png", 1f, true);
                             spriteRenderer.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer.sortingLayerName = "Top";       

                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0.0f, 0.0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0.0f, 0.0f, 0.0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("mask5.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Hair");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0.0f, 0.0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head24.png");
                        childSprite.sortingLayerName = "Top";  

            var kev = new GameObject("kevlar");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail24.png"); 	  
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Broken Yellow Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry who survived in junkyard",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("broken yellow protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("broken yellow protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light18.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head24.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail24.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Broken Yellow Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry who survived in junkyard",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("broken yellow protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("broken yellow protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light19.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head24.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail24.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Broken Green Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry who survived in junkyard",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("broken green protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("broken green protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform childobject = Instance.transform.GetChild(5);
                             GameObject gameObject = new GameObject("Headlamp");
                             gameObject.transform.SetParent(childobject);
                             gameObject.transform.localPosition = new Vector3(0.0f, 0.0f);
                             gameObject.transform.rotation = Quaternion.Euler(0.0f, 0.0f, 0.0f);
                             gameObject.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer = gameObject.AddComponent<SpriteRenderer>();
                             spriteRenderer.sprite = ModAPI.LoadSprite("light7.png", 1f, true);
                             spriteRenderer.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer.sortingLayerName = "Top";       

                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0.0f, 0.0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0.0f, 0.0f, 0.0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("mask3.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Hair");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0.0f, 0.0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head22.png");
                        childSprite.sortingLayerName = "Top";  

            var kev = new GameObject("kevlar");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail22.png"); 	  
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Broken Green Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry who survived in junkyard",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("broken green protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("broken green protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light14.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head22.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail22.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Broken Green Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry who survived in junkyard",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("broken green protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("broken green protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light15.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head22.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail22.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Broken Blue Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry who survived in junkyard",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("broken blue protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("broken blue protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform childobject = Instance.transform.GetChild(5);
                             GameObject gameObject = new GameObject("Headlamp");
                             gameObject.transform.SetParent(childobject);
                             gameObject.transform.localPosition = new Vector3(0.0f, 0.0f);
                             gameObject.transform.rotation = Quaternion.Euler(0.0f, 0.0f, 0.0f);
                             gameObject.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer = gameObject.AddComponent<SpriteRenderer>();
                             spriteRenderer.sprite = ModAPI.LoadSprite("light7.png", 1f, true);
                             spriteRenderer.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer.sortingLayerName = "Top";       

                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0.0f, 0.0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0.0f, 0.0f, 0.0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("mask4.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Hair");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0.0f, 0.0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head23.png");
                        childSprite.sortingLayerName = "Top";  

            var kev = new GameObject("kevlar");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail23.png"); 	  
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Broken Blue Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry who survived in junkyard",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("broken blue protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("broken blue protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light16.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head23.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail23.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Broken Blue Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry who survived in junkyard",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("broken blue protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("broken blue protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light17.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head23.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail23.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Broken Love Protogen happy",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry who survived in junkyard and yet still believes in you",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("broken love protogen happy frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("broken love protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light20.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head25.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail25.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Broken Love Protogen sad",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry who survived in junkyard and yet still believes in you",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("broken love protogen sad frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("broken love protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light21.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head25.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail25.png"); 	
                  }
              }
            );
            Liquid.Register("BLAU", new Purp());

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Human"),
                  NameOverride = "Broken Love Protogen angry",
                  NameToOrderByOverride = "A",
                  DescriptionOverride = "Weak robot furry who survived in junkyard but no longer believes in you",
                  CategoryOverride = ModAPI.FindCategory("Entities"),
                  ThumbnailOverride = ModAPI.LoadSprite("broken love protogen angry frame.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var person = Instance.GetComponent<PersonBehaviour>();
                      var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                      person.SetBodyTextures(ModAPI.LoadTexture("broken love protogen.png"), ModAPI.LoadTexture("protogen flesh.png"), ModAPI.LoadTexture("protogen bone.png"), 1);
                      person.SetBruiseColor(56, 141, 224);
                      person.SetSecondBruiseColor(56, 119, 224);
                      person.SetThirdBruiseColor(70, 97, 226);
                      person.SetRottenColour(202, 199, 104);
                      person.SetBloodColour(68, 170, 242);
                      var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                      var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                      foreach (LimbBehaviour limb in person.Limbs)
                      {
                          cal.Sprites = limb.BloodDecal.Sprites;
                          cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                          cal.Color = Color.cyan;
                          limb.BloodDecal = cal; //Lazy
                         limb.BloodLiquidType = "BLAU";
                          limb.CirculationBehaviour.ClearLiquid();
                          limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("BLAU"), 1f);
                          limb.PhysicalBehaviour.Properties = prop;
                      }
                      var Safe = new GameObject();
                      person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                      person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                      prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                      Safe.SetActive(false);
                      cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                      cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                      cal2.Color = Color.cyan;
                      person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                     foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                          main.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }

                      foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                      {
                          var moon = thi.main;
                          moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(29, 185, 255, 0));
                          if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                          {
                              prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                          }
                      }
                             Transform child = Instance.transform.GetChild(5);
                             GameObject gameObject1 = new GameObject("Headlamp");
                             gameObject1.transform.SetParent(child);
                             gameObject1.transform.localPosition = new Vector3(0f, 0f);
                             gameObject1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                             gameObject1.transform.localScale = new Vector3(0.25f, 0.25f);
                             SpriteRenderer spriteRenderer1 = gameObject1.AddComponent<SpriteRenderer>();
                             spriteRenderer1.sprite = ModAPI.LoadSprite("light22.png", 1f, true);
                             spriteRenderer1.gameObject.AddComponent<GlowingEyeBehaviour>();
                             spriteRenderer1.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                             spriteRenderer1.sortingLayerName = "Top";        

					var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Head");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(0.25f, 0.25f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("head25.png");
                        childSprite.sortingLayerName = "Top";    

            var kev = new GameObject("Tail");
                        kev.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        kev.transform.localPosition = new Vector3(0, 0f);
                        kev.transform.localScale = new Vector3(0.25f, 0.25f);
                        var kevSprite = kev.AddComponent<SpriteRenderer>();
                        kevSprite.sprite = ModAPI.LoadSprite("tail25.png"); 	
                  }
              }
            );

        }
    }
}

public class Purp : Liquid
{
    public Purp()
    {
        this.Color = new Color32(51, 153, 255, 0);
    }

    public override void OnEnterContainer(BloodContainer container)
    {
    }

    public override void OnEnterLimb(LimbBehaviour limb)
    {
        if (limb.SpeciesIdentity == "Human" && UnityEngine.Random.value > 0.995f)
        {
            limb.PhysicalBehaviour.Charge += 0.1f;
        }
    }

    public override void OnExitContainer(BloodContainer container)
    {
    }
                                         public const string ID = "BLAU";
                                 }
    

